Introduction

BackupOnDemand 2.0

Features

  • Real-time monitoring of changed files - files can be backed up within seconds of changing
  • Backups may also be scheduled for specific times or intervals
  • Ability to keep up to the last 999 versions of a file - this allows you to keep you backup sets to a reasonable size, but gives you the flexibility to retrieve an old file
  • Archive data is compressed allowing you to store more data in the same amount of space
  • Easy to use archive viewer shows the files archived, the number of versions, and backup time and size of each file version in the archive
  • BackupOnDemand was designed to conserve system resources, leaving more memory for your applications
  • BackupOnDemand is multithreaded for better responsiveness, you even have the ability to adjust processor utilization of the backup threads for ultimate flexability
  • Store archived files to a floppy disk, removable media, hard drive, or across the network
  • Supported platforms include Windows 95/98/Me, Windows NT 4.0, Windows 2000 and Windows XP

Copyright (c) 2000-2002 Caddais Software

All Rights Reserved.


Overview

Caddais Software
BackupOnDemand Monitor Overview

The BackupOnDemand Monitor allows you to configure the BackupOnDemand Service and display status of backups.

When BackupOnDemand is running it places an icon in the System Tray to help let you know BackupOnDemand is acitve in the background.

BackupOnDemand SysTray Icon

BackupOnDemand is designed to start when a user logs into the system, once a user logs out of the system, BackupOnDemand is shut down, and therefore stops monitoring for changed files.

When BackupOnDemand is started the main window is hidden by default, at any time you may double-click the BackupOnDemand icon in the SysTray to bring the main window to the front.

You may also right-click on the BackupOnDemand icon to show the BackupOnDemand context menu for quick access commonly used BackupOnDemand functions.

WARNING: Backups can only be performed while the BackupOnDemand Monitor application is active, if you Exit the BackupOnDemand Monitor application, you risk missing changed files, and not having an up to date backup of your files.


Main Window

BackupOnDemand Main Window

The BackupOnDemand main window allows you to configure BackupOnDemand, shows the current profiles active, and a history of BackupOnDemand activities.

The BackupOnDemand Main Window consists of 4 main sections - Menu Bar, Toolbar, Profile List and Activity View.

The Menu Bar and Toolbar are standard Windows toolbars and give you access to all the features and functions offered in the BackupOnDemand Monitor program.

The Profile List shows the list of currently configured profiles. The list contains the name you configured each profile with and an icon depending on the Backup Mode assigned to the profile.

You may right click on a profile to access additional actions that may be performed on the selected profile.

The Activity View shows the activity BackupOnDemand has performed. Each log entry contains a time stamp, status of the operation, the affected file, Profile and a message tag containing a short description of the activity.

The contents of the Activity View by default are saved to a file in the directory BackupOnDemand was installed to. You may control where BackupOnDemand stores the Activity Log, as well as view colors in the BackupOnDemand Activity Logging Options dialog box accessible by right clicking in the Activity View, or from the Tools menu.

Since BackupOnDemand was designed to run in the background, the standard Windows system buttons have be programmed to work a little differently than you may expect.

The Minimize, Maximize and Restore (not shown) buttons work just like the standand buttons you are familiar with
The Close button will generally exit and application, but the BackupOnDemand Monitor has modified the behavior of this button the hide the BackupOnDemand Monitor window. While the BackupOnDemand Monitor window may be hidden, BackupOnDemand is still activly looking to backup your files.

For more information about exiting BackupOnDemand, see the Exiting BackupOnDemand help topic.


Creating Profiles

Creating Profiles

Create a backup profile in BackupOnDemand is very easy. The BackupOnDemand Profile Wizard takes you through all the steps of creating a profile in a way that allows you to quickly and easily create profiles that fit your needs.

The following is a summary of the steps required to build a BackupOnDemand Profile.

  1. Select a Name for the Profile, this name may contain up to 25 characters and must be unique. Select a name that helps you remember what this profile backs up, for instance 'Sales Databases'
  2. Select a Backup Mode. See Backup Modes for a more detailed description of the types of Backup Modes and the best uses for each mode.
  3. If the new profile is to be an Periodic or Scheduled backup, then you will need to define the parameters that the BackupOnDemand Service will use to determine when to schedule the next backup.
  4. Select what to backup. You must tell BackupOnDemand which files are to be backed up. Select a directory on your computer and select if you want subdirectories to be included in backup checking. By default BackupOnDemand will backup all files in the selected directories, but you can also select a list of file extensions that BackupOnDemand will ignore. For instance you may decide not to backup files with .tmp or .pdb extension because they are an application's temporary files.
  5. Select a location where any changed files are to be archived. You may select a location on your computer, such as another directory, a second hard drive, or a removable media drive such as a floppy or other mass storage media drive. You may also choose to store archives on another computer within your network. Network storage offers the most protection against drive or machine failure.
  6. As a final step to creating the new Profile, you will be asked to create an initial backup of the Profile, while you can skip this if desired, we highly recommend you create an inital backup at this time. This backup provides initial protection against data loss, and helps to speed up future backups.

That's all there is to it, your important files are now protected!


Backup Modes

Caddias Software

Backup Modes

BackupOnDemand may be configured to have multiple profiles that backup data in different ways.

To accomplish this BackupOnDemand has three modes of backup

  • Realtime - BackupOnDemand monitors the backup directory for changes in files, when a change is detected BackupOnDemand copies the changed files to the archive within seconds of the change.
  • Periodic - BackupOnDemand scans the backup directory on regular interval, which can be every 2 minutes up to every 24 hours, for changed files and copies the changed files to the archive.
  • Scheduled - You set the times when BackupOnDemand is to look for changed files. This can be as simple as every three days, or more complex such as the 15th of every month, except January.

These three different mode of operation give you the flexiabilty to manage your backups and ensure your data is safe.


Realtime Mode

Realtime Mode

Realtime mode provides the most protection of all the Backup Modes available in BackupOnDemand.

In Realtime mode, BackupOnDemand monitors all file activity through the use of a system driver. When a file is changed that matches a profile configured in Realtime Mode, BackupOnDemand will copy the file to the configured archive directory.

Since BackupOnDemand instantly knows when a file changes, it can potentially create many, many versions of a file, with little change to the file in each version. To help cut down the number of versions BackupOnDemand stores, the File Change Idle Delay is used. The Idle Delay is the amount of time that a file must not change before BackupOnDemand will add the file to the list of files to be archived.

While Realtime Mode will work well for most applications and workloads, there are some types of data where Realtime Mode may cause excessive CPU loading or otherwise negatively impact the performance of the system. For example, large files, over 1 megabyte, that regularly change. In this case a low idle delay will cause the file to be continuously archived, while a high idle delay could potentially cause the file to never be archived.

To help with these situations, you may want to look at configuring to Profile to run in Periodic Mode or Scheduled Mode.


Periodic Mode

Periodic Mode

In Periodic Mode BackupOnDemand schedules a backup to occur on the interval you specify. This interval can be as small as a 1 minute or as large as every 24 hours.

When BackupOnDemand is activated it begins to count down the time for each profile configured to run in Periodic Mode. After the specified time has elapsed since the start of BackupOnDemand, or the last interval expiration BackupOnDemand begins the process of looking for changed files.

BackupOnDemand will scan all files meeting the profiles criteria and look for files that have been modified since the last backup of the file. It compares the modification time of the file to the modification time of last entry in the archive for that file. If the times are different, or the file does not exist in the archive BackupOnDemand will then copy the file to the archive.

While Periodic Mode does not provide the same level of protection as Realtime Mode, there are situations where Periodic Mode will best fit the given situation.

A situation where Periodic Mode would be preferable to Realtime Mode would be a large database file that is continuously changing every few seconds. Periodic Mode will allow you to still have backups of you data, but you will not overload the CPU by always spending time making archival copies of the database.


Scheduled Mode

Scheduled Mode

Scheduled Mode gives you the ability to schedule a backup to take place when you specify. You may select daily, weekly or monthly events and the time at which the event is performed.

Daily events allows you to specify if backups should occur every n days, on Weekdays only, or every day of the week. This gives you the flexibility to schedule backups every three days 12:00 AM, on weekdays at 3:00 AM, or everyday at 12 Noon.

Weekly events allow you to specify the day(s) of the week, and interval of weeks that backups should be performed. For example, you may decide to backup on Tuesday and Thursday of every week at 1:00AM or backup every other Friday at 7:00PM.

Month events give the flexibility to select a fixed day of the month or select a floating day to schedule a backup. You may also select with month(s) you would like backups to be performed. As an example you may decide to schedule a backup to occur on the 15th of every month except October. Alternatively, you may choose to backup on the second Tuesday of each month except April and June.

Scheduled Mode is ideal for data that rarely changes, or data that is not critical to your daily activities. It also allows you to schedule backups to be performed at times when you computer may not be in use.


Manual Mode

Manual Mode

Manual Mode gives you the ability to only backup a Profile only when you determine it necessary.

In Manual mode you get the same flexability and control over what is backed up and where it is backed up to, but does not perform any actions until you direct BackupOnDemand to perform the backup.

You must manually force the backup to happen by selecting the Backup toolbar button, or by selecting the Backup Archive menu item from the Tools menu.

Manual mode backups are ideal for situations where you may not always have access to a remote computer, or network such as a laptop used for travel. Manual mode allows you to directly control when a backup is to happen instead of other modes that would just create a series of errors when an automated backup is performed.


Options

The BackupOnDemand Options dialog box give you the ability to configure how BackupOnDemand behaves. For most situations the default settings should provide satisfactory performance, but there may time time when you need to adjust these value to allow BackupOnDemand to perform at optimum levels.

WARNING: Please be sure to read and understand the following descriptions of each of these settings. Improper settings may adversely affect how BackupOnDemand performs could significantly affect the performance of your computer.

Realtime Mode File Change Idle Delay - This setting controls the delay between the time BackupOnDemand stop seeing change activity on a file and the time when BackupOnDemand copies the modified file to the archive. This setting help control the frequency BackupOnDemand archives a file. The default value provide about a 5 second delay, this setting has a Low value of 1 second to a High value of 3 minutes.

Archival Thread Priority - This setting controls the priority of the thread that copies modified files to the archive. The higher values allow the copy operations to complete faster, but may affect the performance of other programs. The default value should prove satisfactory in most applications.

Default Archive History Depth - This setting controls how many versions of a file are kept in the archive. Once the archive contains this number of files, the oldest version of the file is removed from the archive when BackupOnDemand adds a new file

On Archival Error - This setting controls how error are reported, and how many times BackupOnDemand will attempt to archive the file before taking the selected action.

  • Ignore tells BackupOnDemand to ignore all errors, files that cause error will not be copied to the archive.

  • The Drop after setting allows BackupOnDemand to retry a file for the selected number of times before removing the file from the list of modified files.

  • The Ask after setting behaves just like the above setting, but instead automatically dropping the file from the list of modified files, BackupOnDemand demand will display a dialog box asking if it should continue to try to copy this file, or remove the file from the list of files to be copied. To stop BackupOnDemand from being stalled, this dialog box will only be displayed for 30 seconds, before the file will be automatically removed from the list of files to be copied to the archive.

The most common error is a File in User error. This happens when program keep files open for exclusive access. Until the application closes the file, or the application is shutdown, BackupOnDemand will not be able to copy the file to the archive.


Activity View Logging Options

Activity View Logging Options dialog box

The Activity View Logging options dialog box gives you the ability to control how the activity view looks, and if log data is stored to disk, and for how long BackupOnDemand should keep log files.


Other Tasks

Other Tasks

There are several other task accessible through the menus or toolbar that help make the BackupOnDemand Monitor more useful.

ArchiveBtn.gif (553 bytes) The Archive toolbar button, or the View Archive menu item in the Tools menu run BackupOnDemand Explorer and displays the currently selected profiles archive.

BackupBtn.gif (229 bytes) The Backup toolbar button, or the Backup Profile menu item in the Tools menu forces BackupOnDemand to scan the profiles backup directory for changes files and stored them in the arcihve.

If checked, the AutoScroll toolbar button scrolls newly added Activity View entries into view. If unchecked, the current scroll position of the Activity View window will not change as new entries are added. By default AutoScroll is checked or enabled.

The Clear Activity view toolbar button clears all entries in the Activity View. If you have Activity View Logging enabled, the contents of the Acitivity View will still be available in the day's log file.

The BOD Explorer menu item runs a new instance of the BackupOnDemand Explorer. Be careful when using this menu item, you may end up with serveral instances of the BackupOnDemand Explorer running.


Exiting BackupOnDemand

Exiting BackupOnDemand

By default, BackupOnDemand starts at user login, and shuts down when a user logs off. If for some reason you need to exit the BackupOnDemand program you must select the Exit menu item from the Tools menu in the BackupOnDemand Monitor Window.

It is recommended that if you only need to temporarly stop BackupOnDemand that you merely Disable BackupOnDemand instead of exiting the program. You can temporarily disable BackupOnDemand either by clicking on the Enable toolbar button so the button is no longer depressed, or by un-checking the Enable menu item of the File menu.


Overview

BackupOnDemand Explorer Overview

BackupOnDemand Explorer is a separate application that allows you to view the contents of each of the configured profiles. With BOD Explorer you and view archive contents, extract any of the file versions of a file in the archive, or delete files.

The BackupOnDemand Explorer window consists of two views. The left side view shows the list of active profile, and the directories contained in each of the archives.

The right side view contains the list of files contained within each directory of the archive. To view the version and time and date information for each of file version, you can double click on each archive file or click on the + and - icons to expand and contract the list.


View File

ViewBtn.gif (1113 bytes) View a file in the Archive

The View toolbar button, or View menu item in the File menu, performs a two step process. First the selected file is extracted to a temporary file, then the extracted file is opened with the associated program.

This allows you to view the selected file with the program that generated the file. From there you can save the file to a new file, print the file, email the file, or any other operation on the file your application can perform.

If there is program associated the the file type, the BackupOnDemand Explorer will warn you of this, to view or otherwise work on the file, you will need to Extract the file to a location, and manually run the required program to work on the file.

To enable the View option, be sure to select a file version, in the right pane of the BackupOnDemand Explorer Windows as demonstated below:

Example of selecting a File Version to View


Extract File

Caddias Software
ExtractButton.gif (1116 bytes) Extract a file in the archive

The Extract toolbar button or the Extract menu item in the File menu allows you to extract the selected file version to a directory of your choice.

To enable the Extract option, be sure to select a file version, in the right pane of the BackupOnDemand Archive Explorer window as demonstated below:

Example of selecting a File Version to View

Then after selecting the the Extract option, the BackupOnDemand Archive Explorer will prompt you for a directory to to store the file to as demonstrated below:

If the extracted file already exists in the selected directory, BackupOnDemand will ask you if it should replace the file, or cancel the operation.


Restore Files

Restore Files

The Restore toolbar button, or the Restore menu item in the File menu, restores the most recent version of each file in the selected directory, or BackupOnDemand Profile to a locaton of your choice.

The Restore option become available when you select a directory, or a BackupOnDemand Profile in the left pane of the BackupOnDemand Archive Explorer window. Alternativly, you may also select a directory from the right pane of the Explorer window to restore.

Once you select a directory, or Profile to restore and select the Restore option, a dialog box will be display giving the ability to select which files are to be restored, and where the files are to be restored. An example Restore Files dialog box is shown below.

Initially, all files in the selected directory or Profile are selected/checked to be restored, and the Restore directory is initially set the the configured Backup Directory from Profile.

You may de-select/uncheck any files you do not wish to be restored to the Restore Directory by double clicking on the file name, or clicking on the checkbox next to the file name.

Pressing the Browse button will display a standard Browse for Folder dialog box that will allow you to choose a directory.

After selecting the Restore location and the files to be restored, you are ready to continue, pressing the Restore button will begin the restoration process. BackupOnDemand will display the progress of each file as well as overall progress in the progress bars near the bottom of the page. You may cancel a Restore operation at any time by pressing the Cancel button.


Delete Files

DeleteBtn.gif (1097 bytes) Delete Files

The Delete toolbar button or the Delete menu item in the File menu allows you to delete the selected item from the arhive.

You may delete directories, File Store or File Versions from the archive. You may not delete Profiles in BackupOnDemand Archive Explorer, instead use the BackupOnDemand Monitor program to delete a Profile.

Depending on what item you have selected BackupOnDemand will take different actions, and delete different items. The following is a summary of how to delete different items in BackupOnDemand.

WARNING: Once deleted using the BackupOnDemand Archive Explorer, you will no longer be able to recover any files are directories. All items are permantly destroyed.

Delete Directory - select a directory in the right pane or left pane of the Archive Explorer window. BackupOnDemand will delete ALL files and sub-directories.

Delete File Store - select a File Store in the right pane of the Archive Explorer window. BackupOnDemand will delete all File Versions and the selected File Store from the archive. Only perform this action if you no longer need any of the file versions, or it the file was mistakenly archive with BackupOnDemand.

Delete File Version - select a File Version in the right pane of the Archive Explorer window. BackupOnDemand will delete the selected File Version from the File Store.


Displaying Properties

PropertiesButton.gif (1151 bytes) Displaying Properties

The Properties toolbar button, or the Properties menu item in the File menu displays information about the currently selected item.

You may obtain information for a directory, file store, file version, or a Profile. Each item displays information pertaining to the selected item. You will find a summary of display data for each type below.

  • Profile - displays the Backup Mode, Archive Directory, Backup Directory, total size of archive and number of files and directories within the archive.
  • Directory - displays the Profile to which the directory belong, path within the archive, total size of data contained within the directory and the number of files and directories within the archive.
  • File Store - displays the name of the file, the Profile in which the File Store is contained, the path of the File Store within the archive, sizeof all files within the File Store, and the number of versions of the file contained within this File Store.
  • File Version - display the name of the file, the Profile in which the File Version is contained, the path of the File Version within the archive, sizeof the uncompressed file, version number, and modification time of the file.

The following are an some examples of various Property dialog boxs:

PropProfile.gif (2892 bytes) Example Profile dialog box | PropFileStore.gif (3096 bytes) Example FileStore dialog box
PropFileVersion.gif (2922 bytes) Example File Version dialog box |


Registration

BackupOnDemand Registation

Current pricing for BackupOnDemand as of 3/1/2002 is as follow:

1 - 9 Licenses | 34.95 per license
10 - 25 Licenses | 29.95 per license
26 - 50 Licenses | 24.95 per license
50 - 99 Licenses | 19.95 per license
100 or more | Please contact a Caddias Software Sales Representative

* All prices are in USD

** You must purchase a license for each computer BackupOnDemand is installed on. Please see the License Agreement for more information.

We offer 3 ways for your to purchase a registration key for BackupOnDemand

  • Online at our website http://www.caddais.com/BackupOnDemand.shtml
  • Call one of our Sales Team members at (315) 527-1646 between the hours of 8 A.M and 5 P.M. Eastern Standard Time.
  • Mail a check for the proper amount to us at the following address:
Caddais Software
PO Box 23
Westmoreland, NY 13490

If purchasing by mail, please allow 2 weeks for delivery. You can shorten this time if you include an e-mail address with your payment, we will email your registraton information after we receive payment.

Online orders are processed through our payment processing service SWREG, please visit www.swreg.org for information regarding this service.

When ordering online we are notified of your order within two hours of placement. During normal business hours, we will email you your registration information when we receive this notification. All orders received outside of business hours will be processed and registration information emailed our first thing the next business day.


Entering a Registration Key

Entering a Registration Key

Once you have purchased a Registration Key from Caddais Software or one of it's affiliates, you have to enter the key in the BackupOnDemand to removed the Trial Registration Key, or re-enable BackupOnDemand after a Trial Registration has expired.

You enter your Registration Key information using the BackupOnDemand Registration dialog box accessible through the Registration menu item in the Help menu of either the BackupOnDemand Monitor program or the BackupOnDemand Archive Explorer program.

When you receive your Registered Username and Registration Key from Caddais Software, enter the values in the appropriate fields exactly as provided by Caddais. After you enter the information, press the Install button the validate your Registration Information, and remove the Trial Key from BackupOnDemand.

If you enter the information improperly, BackupOnDemand will warn of the improper information, you should validate the information and press the Install button again once the proper information has been entered. If you are still unable to install a Registration Key, please send a email to support@caddais.com and include your Name, Date of Purchase, Registered Username, and Registration Key.


Technical Support

Technical Support

At Caddais Software we strive to build the best and easiest to use software available. That's why we highly value your feedback, if you are having problems with BackupOnDemand, have feature suggestions or any other type of comments regarding BackupOnDemand, please contact us.

If after checking the Caddais Software website (www.caddais.com ) for any relevant FAQs and program updates, you still have a question regarding, you have two ways of contacting us:

  • Email - send email to support@caddais.com. During normal business hours (8AM - 5PM EST M-F) we generally are able to provide an intial response to a request within 1 hour.
  • Phone - during normal business hours (8AM - 5PM EST M-F) you may contact a technical support representative at (315)527-1646 for help. Please have the information described below ready so we may assist you in a quick and timely matter.

Please provide as much of the following information in your request as possible:

  • Complete description of the problem, include a series of steps to reproduce the problem, expected results, and observed results.
  • Operating system, please include service pack or relase number if applicable.
  • Your current version of BackupOnDemand, this value may be obtained on the About dialog box.
  • Other programs that are currenly running.
  • If you are a registered user of BackupOnDemand, please provide your registered Username and Registration Key.
  • Your current BODMonitor.ini file. This file is located in your Windows directory, usually c:\windows on Win95, Win98 and WinMe systems. On Windows NT, Windows 2000 and Windows XP, this directory is generally c:\winnt.


License Agreement

END-USER LICENSE AGREEMENT FOR CADDAIS SOFTWARE BACKUPONDEMAND

IMPORTANT - READ CAREFULLY: This Caddais Software End-User License Agreement ("EULA") is a legal agreement between you (either an individual or a single entity) and Caddais Software for the Caddais Software product identified above, which includes computer software and may include associated media, printed materials, and "online" or electronic documentation ("SOFTWARE PRODUCT"). The SOFTWARE PRODUCT also includes any updates and supplements to the original SOFTWARE PRODUCT provided to you by Caddais Software. Any software provided along with the SOFTWARE PRODUCT that is associated with a separate end-user license agreement is licensed to you under the terms of that license agreement. By installing, copying, downloading, accessing or otherwise using the SOFTWARE PRODUCT, you agree to be bound by the terms of this EULA. If you do not agree to the terms of this EULA, do not install or use the SOFTWARE PRODUCT.

Software PRODUCT LICENSE
The SOFTWARE PRODUCT is licensed, not sold.
1. GRANT OF LICENSE. This EULA grants you the following rights:
(a) Applications Software. You may install, use, access, display, run, or otherwise interact with ("RUN") one copy of the SOFTWARE PRODUCT, or any prior version for the same operating system, on a single computer.
(b) Storage/Network Use. You may also store or install a copy of the SOFTWARE PRODUCT on a storage device, such as a network server, used only to RUN the SOFTWARE PRODUCT on your other COMPUTERS over an internal network; however, you must acquire and dedicate a license for each separate COMPUTER on which the SOFTWARE PRODUCT is RUN from the storage device. A license for the SOFTWARE PRODUCT may not be shared or used concurrently on different COMPUTERS.
(c) Reservation of Rights. All rights not expressly granted are reserved by Caddais Software.
2. DESCRIPTION OF OTHER RIGHTS AND LIMITATIONS.
(a) Limitations on Reverse Engineering, Decompilation, and Disassembly. You may not reverse engineer, decompile, or disassemble the SOFTWARE PRODUCT, except and only to the extent that such activity is expressly permitted by applicable law notwithstanding this limitation.
(b) Separation of Components. The SOFTWARE PRODUCT is licensed as a single product. Its component parts may not be separated for use on more than one COMPUTER.
(c) Trademarks. This EULA does not grant you any rights in connection with any trademarks or service marks of Caddais Software.
(d) Rental. You may not rent, lease, or lend the SOFTWARE PRODUCT.
(e) Termination. Without prejudice to any other rights, Caddais Software may terminate this EULA if you fail to comply with the terms and conditions of this EULA. In such event, you must destroy all copies of the SOFTWARE PRODUCT and all of its component parts.
3. UPGRADES. If the SOFTWARE PRODUCT is labeled as an upgrade, you must be properly licensed to use a product identified by Caddais Software as being eligible for the upgrade in order to use the SOFTWARE PRODUCT. A SOFTWARE PRODUCT labeled as an upgrade replaces and/or supplements (and may disable) the product that formed the basis for your eligibility for the upgrade. You may use the resulting upgraded product only in accordance with the terms of this EULA. If the SOFTWARE PRODUCT is an upgrade of a component of a package of software programs that you licensed as a single product, the SOFTWARE PRODUCT may be used and transferred only as part of that single product package and may not be separated for use on more than one COMPUTER.
4. COPYRIGHT. All title and copyrights in and to the SOFTWARE PRODUCT (including but not limited to any images, photographs, animations, video, audio, music, text, and "applets" incorporated into the SOFTWARE PRODUCT), the accompanying printed materials, and any copies of the SOFTWARE PRODUCT are owned by Caddais Software or its suppliers. All title and intellectual property rights in and to the content which may be accessed through use of the SOFTWARE PRODUCT is the property of the respective content owner and may be protected by applicable copyright or other intellectual property laws and treaties. This EULA grants you no rights to use such content. If this SOFTWARE PRODUCT contains documentation which is provided only in electronic form, you may print one copy of such electronic documentation. You may not copy the printed materials accompanying the SOFTWARE PRODUCT.
5. DUAL-MEDIA SOFTWARE. You may receive the SOFTWARE PRODUCT in more than one medium. Regardless of the type or size of medium you receive, you may use only one medium that is appropriate for your single COMPUTER. You may not RUN the other medium on another COMPUTER. You may not loan, rent, lease, or otherwise transfer the other medium to another user, except as part of the permanent transfer (as provided above) of the SOFTWARE PRODUCT.
6. BACKUP COPY. After installation of one copy of the SOFTWARE PRODUCT pursuant to this EULA, you may keep the original media on which the SOFTWARE PRODUCT was provided by Caddais Software solely for backup or archival purposes. If the original media is required to use the SOFTWARE PRODUCT on the COMPUTER, you may make one copy of the SOFTWARE PRODUCT solely for backup or archival purposes. Except as expressly provided in this EULA, you may not otherwise make copies of the SOFTWARE PRODUCT or the printed material accompanying the SOFTWARE PRODUCT.

LIMITED WARRANTY
Caddais Software warrants that (a) the SOFTWARE PRODUCT will perform substantially in accordance with the accompanying written materials for a period of ninety (90) days from the date of receipt, and (b) any Support Services provided by Caddais Software shall be substantially as described in applicable written materials provided to you by Caddais Software, and by Caddais Software support engineers will make commercially reasonable efforts to solve any problem issues. Some states and jurisdictions do not allow limitations on duration of an implied warranty, so the above limitation may not apply to you. To the extent allowed by applicable law, implied warranties on the SOFTWARE PRODUCT, if any, are limited to ninety (90) days.
CUSTOMER REMEDIES. Caddais Software's and its suppliers' entire liability and your exclusive remedy shall be, at by Caddais Software's option, either (a) return of the price paid, if any, or (b) repair or replacement of the SOFTWARE PRODUCT that does not meet by Caddais Software's Limited Warranty and which is returned to by Caddais Software with a copy of your receipt. This Limited Warranty is void if failure of the SOFTWARE PRODUCT has resulted from accident, abuse, or misapplication. Any replacement SOFTWARE PRODUCT will be warranted for the remainder of the original warranty period or thirty (30) days, whichever is longer. Neither these remedies nor any product support services offered by Caddais Software are available without proof of purchase from an authorized international source.

NO OTHER WARRANTIES. To the maximum extent permitted by applicable law, Caddais Software and its suppliers disclaim all other warranties and conditions, either express or implied, including, but not limited to, implied warranties of merchantability, fitness for a particular purpose, title, and non-infringement, with regard to the SOFTWARE PRODUCT, and the provision of or failure to provide Support Services.
LIMITATION OF LIABILITY. To the maximum extent permitted by applicable law, in no event shall Caddais Software or its suppliers be liable for any special, incidental, indirect, or consequential damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of business information, or any other pecuniary loss) arising out of the use of or inability to use the SOFTWARE PRODUCT or the provision of or failure to provide Support Services, even if Caddais Software has been advised of the possibility of such damages. In any case, Caddais Software's entire liability under any provision of this EULA shall be limited to the greater of the amount actually paid by you for the SOFTWARE PRODUCT or USD $5.00


FAQ

Frequently Ask Questions about BackupOnDemand

There are no entries in this section at this time.

Please check www.caddais.com for the latest information regarding BackupOnDemand, or contact Technical Support regarding any issues you may be having with BackupOnDemand.